This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 206076 - vnc-server should Require: xorg-x11-fonts-base
vnc-server should Require: xorg-x11-fonts-base
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-11 16:11 EDT by Orion Poplawski
Modified: 2013-04-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 06:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-09-11 16:11:10 EDT
Description of problem:

Without xorg-x11-fonts-base installed, Xvnc dies with:

_XSERVTransmkdir: Owner of /tmp/.X11-unix should be set to root

Xvnc Free Edition 4.1.1
Copyright (C) 2002-2005 RealVNC Ltd.
See http://www.realvnc.com for information on VNC.
Underlying X server release 70000000, The X.Org Foundation


Mon Sep 11 13:49:05 2006
 vncext:      VNC extension running!
 vncext:      Listening for VNC connections on port 5901
 vncext:      created VNC server for screen 0
error opening security policy file /usr/lib64/xserver/SecurityPolicy
Could not init font path element /usr/share/X11/fonts/TTF/, removing from list!
Could not init font path element /usr/share/X11/fonts/OTF, removing from list!
Could not init font path element /usr/share/X11/fonts/Type1/, removing from list!
Could not init font path element /usr/share/X11/fonts/CID/, removing from list!
Could not init font path element /usr/share/X11/fonts/100dpi/, removing from list!

Fatal server error:
could not open default font 'fixed'

Version-Release number of selected component (if applicable):
vnc-server-4.1.1-39.fc5
Comment 1 Adam Tkac 2006-10-04 07:08:05 EDT
and with installed xorg-x11-fonts-base rmp all works fine??
Comment 2 Orion Poplawski 2006-10-04 11:21:25 EDT
(In reply to comment #1)
> and with installed xorg-x11-fonts-base rmp all works fine??

Yup.
Comment 3 Adam Tkac 2006-10-25 06:01:06 EDT
dependency has been added..

Note You need to log in before you can comment on or make changes to this bug.